<?php
namespace Teknisa\CRM\Factory;

use Doctrine\ORM\EntityManager;

class PessoaRelacionadaFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection       = $entityManager->getConnection();
    }
    
    public function deletePessoasTicket($params){

        $delete = "DELETE FROM CRM_PARCRELACCONTATO WHERE NRSEQCONTATO = :NRSEQCONTATO AND NRORG = :NRORG";
                 
        try{
            $std = $this->connection->prepare($delete);
            $std->execute($params);
            return true;
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
    public function savePessoaTicket($params){

        $insert = "INSERT INTO CRM_PARCRELACCONTATO (NRPARCNEGOCIO, NRSEQCONTATO, NRORG, CDOPERINCLUSAO, NRORGINCLUSAO) VALUES(:NRPARCNEGOCIO, :NRSEQCONTATO, :NRORG, :CDOPERADOR, :NRORG)";
                 
        try{
            $std = $this->connection->prepare($insert);
            $std->execute($params);
            return true;
        }
        catch(\Exception $e){
            throw $e;
        };
    }
    
}
    