function Indicador_Oportunidade_Controller(templateManager, ScreenService, Utilities, Operador_Repository)
{

	this.iniciaFiltrosWidoportunidade_pizza = function(widget)
    {
        Operador_Repository.retornaOperadorLogado().then(function(operator)
        {
        		if(operator[0] === undefined || operator[0] === null)
            {
                ScreenService.showMessage("Erro ao realizar a operação.");
                return;
            }

        	  Utilities.insertFilter(widget, "P_NRPARCRESP", "=", "_"+operator[0].NRPARCNEGOCIO+"_", 2);
            Utilities.insertFilter(widget.getField("P_NRPARCRESP"), "P_NRORG", "=", operator[0].NRORG, 0);
            Utilities.insertFilter(widget.getField("P_NRPARCRESP"), "P_NRPARCNEGOCIO", "=", operator[0].NRPARCNEGOCIO, 1);
        }, function(error)
        {
            ScreenService.showMessage("Erro ao realizar a operação.");
        });
    };

    this.iniciaFiltrosWidoportunidade_donut = function(widget)
    {
        Operador_Repository.retornaOperadorLogado().then(function(operator)
        {
        		if(operator[0] === undefined || operator[0] === null)
            {
                ScreenService.showMessage("Erro ao realizar a operação.");
                return;
            }
                    		Utilities.insertFilter(widget, "P_NRPARCRESP", "=", "_"+operator[0].NRPARCNEGOCIO+"_", 2);
            Utilities.insertFilter(widget.getField("P_NRPARCRESP"), "P_NRORG", "=", operator[0].NRORG, 0);
            Utilities.insertFilter(widget.getField("P_NRPARCRESP"), "P_NRPARCNEGOCIO", "=", operator[0].NRPARCNEGOCIO, 1);
        }, function(error)
        {
            ScreenService.showMessage("Erro ao realizar a operação.");
        });
    };

	this.exibeValorOportPizza = function()
	{
		var widget = templateManager.container.getWidget('tabbed').widgets[0];
        var msg = widget.currentRow.IDENTIFICADOR+" : "+widget.currentRow.QUANTIDADE;
        ScreenService.showMessage(msg, 'success', 'information');
	};

	this.exibeValorOportDonut = function()
	{
		var widget = templateManager.container.getWidget('tabbed').widgets[1];
        var msg = "Negócios "+widget.currentRow.IDENTIFICADOR+" : "+widget.currentRow.QUANTIDADE+".<br/> Com valores de até: ";
        msg += Utilities.getValorEmReais(widget.currentRow.SOMA);
        ScreenService.showMessage(msg, 'success', 'information');
	};

	this.changeValuesFilter = function(widget)
	{
		widget.dataSourceFilter[2].operator = '=';
		var val = widget.dataSourceFilter[2].value;
		var i, string = '_';
		for(i = 0; i < val.length; i++)
		{
			string += val[i]+"_";
		}

		if(val.length === 0)
		{
			string += '_';
		}

		widget.dataSourceFilter[2].value = string;
	};
}

Configuration(function(ContextRegister)
{
    ContextRegister.register('Indicador_Oportunidade_Controller', Indicador_Oportunidade_Controller);
});