function Messages(){
    
    /* MENSAGENS DE ERRO (GERAL) */
    this.CATCH_EXCEPTION_ERROR = function(error) {
        return 'Ocorreu um erro inesperado, contate o administrador informando o trecho abaixo: <br><br>' + error + '<br><br>';
    };

//--------------------------------------------------------------------------------------------------------------------

    /* GERAL */
    this.INSCRICAO_INVALIDA = "Inscrição Inválida!";
    this.ENDERECO_NAO_ENCONTRADO = "Endereço não encontrado.";
    this.CEP_INVALIDO = "CEP Inválido";
    this.ERRO_REQUSICAO_INFOS_OPERADOR_LOGADO = "Erro ao buscar as informações do operador logado.<br/>Contate um administrador.";
    this.ERRO_REQUSICAO_PARAMETRIZACOES = "Erro ao buscar as informações de parametrização do operador logado.<br/>Contate um administrador.";
    this.CONFIRMAR_DELETE = "Deseja realmente excluir este registro?";
    this.REMOVE_ROW_SUCCESS = 'Registro excluído com sucesso';
    this.REMOVE_ROW_ERROR = 'Erro ao excluir o registro';


//--------------------------------------------------------------------------------------------------------------------
    
    /* LEAD */
    this.LEAD_JA_QUALIFICADO = "Lead já qualificado.";
    this.LEAD_JA_DESQUALIFICADO = "Lead já desqualificado.";
    this.PARCEIROS_FUNDIDOS_SUCESSO = "Parceiros fundidos com sucesso.";
    this.LEAD_CONVERTIDO = "Lead convertido com sucesso.<br><br>Deseja ir para a tela de prospect exibindo o lead convertido?";
    this.DESATIVAR_LEAD = function(leadName){
        return "Deseja desativar o Lead \"" + leadName + "\"?";
    };
    this.ATIVAR_LEAD = function(leadName){
        return "Deseja ativar o Lead \"" + leadName + "\"?";
    };
    this.IMPOSSIVEL_DESATIVAR_POSSUI_EVOL = "Operação bloqueada<br/><br/>Este lead possui registros de evoluções.";
    
//--------------------------------------------------------------------------------------------------------------------    
    
    /* PROSPECT */
    this.TIPO_ENDERECO_JA_REGISTRADO = "Tipo de endereço já registrado.";
    this.PROSPECT_BLOQUEADO = "Operação bloqueada.<br/><br/>Este prospect já sendo trabalhado por outro operador.";

//--------------------------------------------------------------------------------------------------------------------    
    
    /* AGENDA DE TAREFAS */
    this.EXCLUSAO_TAREFA_VINC_EVOLUCAO = "Exclusão não permitida.<br/>Tarefa vinculada à uma evolução.<br/><br/><u>Deseja inativar a tarefa?<u/>";
    this.TAREFA_INATIVADA = "Tarefa inativada com sucesso.";
    this.TAREFA_CONCLUIDA = "Tarefa concluída com sucesso.";
    this.TAREFA_JA_CONCLUIDA = "Tarefa já concluída.";
    this.ERROR_EVOLUCAO_SEM_CONTATO = "Evolução não permitida.<br/>Tarefa não vinculada à um caso ou à uma oportunidade.";
    this.SELECIONAR_TAREFA_TRANSFERENCIA = "Selecione uma tarefa para ser transferida.";
    this.SELECIONAR_TAREFA_EXCLUSAO = "Selecione uma tarefa para ser excluída.";
    this.ERRO_TRASNFERIR_TAREFA_CONCLUIDA = "Não é possivel trasnferir tarefas concluídas.";
    
//--------------------------------------------------------------------------------------------------------------------    
    
    /* ASSISTENTE DE AGENDAMENTO */
    this.NAO_HA_PARCEIROS_FILTRADOR = "Registros não encontrados.<br/><br/>Deseja realizar uma busca por parceiros para gerenciar o assistente?";
    this.INTERVALO_INVALIDO = "Intervalo inválido.";
    this.TAREFAS_GERADAS_SUCESSO = "Tarefas geradas com sucesso.";
    this.CONFIRMACAO_GERADOR_DE_TAREFAS = function(numberofPartners) {
        return 'Deseja gerar tarefas em massa para os [' + numberofPartners + '] parceiros filtrados?';
    };
    this.ANO_MAIOR_ANO_ATUAL = "Operação Bloqueada<br/><br/>Não é possivel gerar tarefas referente a anos passados.";
    this.PERGUNTA_GERAR_TAREFAS_ANIVERSARIO = "Deseja gerar tarefas para os operadores, de acordo com a data de fundação/aniversário, de seus respectivos parceiros?";
    this.PERGUNTA_GERAR_TAREFAS_INTERVALO = "Deseja gerar tarefas para os operadores relacionadas a seus respectivos parceiros de acordo com o intervalo selecionado?";    
//--------------------------------------------------------------------------------------------------------------------    
    
    /* CASO */
    this.CODIGO_PERSONALIZADO_EXISTENTE = "Código já existente.";

//--------------------------------------------------------------------------------------------------------------------    
    
    /* OPORTUNIDADE DE NEGÓCIO */
    this.OPORTUNIDADE_CONCLUIDA = "Oportunidade concluída com sucesso.";
    this.PERGUNTA_FECHAR_OPORTUNIDADE = "Esta oportunidade será fechada e bloqueada para qualquer tipo de ação. <br/><br/>Deseja realmente fechar esta oportunidade?";
    this.CALC_VAL_PREV_OPORT_DELETE = "Deseja calcular o valor da oportunidade à partir dos itens após a exclusão?";
    this.VAL_PREV_CAL_SUCESSO = "Valor previsto calculado com sucesso.";

//--------------------------------------------------------------------------------------------------------------------
    
    /* ENDERECO */
    this.ENDERECO_NAO_ENCONTRADO = "Endereço não encontrado.";
    
//--------------------------------------------------------------------------------------------------------------------
    
    /* COMPROMISSO */
    this.IMPOSSIVEL_MANUSEAR_EVENTO = function(explicacao){
        return "Operação bloqueada!<br><br>" + explicacao;
    };
    
    this.QUESTAO_INSERIR_COMPROMISSO_GOOGLE = "Deseja inserir este compromisso ao Google Calendar?";
    this.SINC_GOOGLE_CALENDAR = "Deseja sincronizar seus compromissos com o Google Calendar?";
    this.DESINC_GOOGLE_CALENDAR = "Deseja dessincronizar seus compromissos com o Google Calendar?";
    this.COMPROMISSO_INSERIDO_GOOGLE = "Compromisso inserido em sua agenda do Google.";
    this.COMPROMISSO_NAO_INSERIDO_GOOGLE = "Compromisso não inserido ao Google Calendar.";
    this.IMPOSSIVEL_MANUSEAR_EVENTO_GOOGLE = "Não é possível alterar um compromisso referente ao Google Calendar.";
    this.GOOGLE_SINC_SUCESSO = "Google Calendar sincronizado com sucesso.";
    this.GOOGLE_DESINC_SUCESSO = "Google Calendar dessincronizado com sucesso.";
    this.GOOGLE_EVENTO_EDITADO_SUCESSO = "Evento editado com sucesso no Google Calendar.";
    this.NOEDIT_PARTICIPANTE_COMPROMISSO = "Participantes não podem modificar compromissos em que foram relacionados.";
    this.EDICAO_APENAS_RESPONSAVEL = "Apenas o operador responsável e o de inclusão tem permissão para alterar o compromisso.";
    this.FALHA_SINC_GOOGLE_CALENDAR = "Falha ao sincronizar com o Google Calendar";
    this.OPORTUNIDADE_FECHADA = "A oportunidade de negócio está fechada.";
    
//--------------------------------------------------------------------------------------------------------------------

    /* API GOOGLE CALENDAR */
    this.POPUP_BLOQUEADA = "Popup do navegador bloqueado!<br/>Libere o popup para realizar a sincronização com o Google Calendar.";
    
    
//--------------------------------------------------------------------------------------------------------------------    
}

Configuration(function(ContextRegister) {
    ContextRegister.register('Messages', Messages);
});